Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have upgraded my PHP from version 5.3 to 5.4 via yum which requires upgrading Apache from version 2.2 to 2.4. After doing configuration, it turns out that the userid and groupid is still using the global user/group which is "apache".

<VirtualHost *:80>
        ServerName      example.com
        ServerAdmin     email@example.com
        DocumentRoot "/path/to/webroot"
        ....
        ....
        <IfModule mod_fcgid.c>
          SuexecUserGroup user-name group-name
         <Directory "/path/to/webroot">
          Options +ExecCGI
          AllowOverride All
          AddHandler fcgid-script .php
          FcgidWrapper /path/to/webroot/php-fcgi-scripts/php-fcgi-starter .php
          Order allow,deny
          Allow from all
         </Directory>
        </IfModule>
         ........
</VirtualHost>

/etc/httpd/modules/base.conf:

LoadModule suexec_module modules/mod_suexec.so

I would appreciate if anyone could advise what was I missed.

Thanks.

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.